#
# spec file for package fprintd
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           fprintd
Version:        1.94.2
Release:        bp155.2.3.1
Summary:        D-Bus service for Fingerprint reader access
License:        GPL-2.0-or-later
Group:          Productivity/Security
URL:            https://fprint.freedesktop.org/
Source0:        https://gitlab.freedesktop.org/libfprint/fprintd/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
Source1:        baselibs.conf
BuildRequires:  gobject-introspection
BuildRequires:  gtk-doc >= 1.3
BuildRequires:  intltool
BuildRequires:  meson >= 0.46.1
BuildRequires:  pam-devel
BuildRequires:  pkgconfig
BuildRequires:  python3-cairo
BuildRequires:  python3-dbus-python
BuildRequires:  python3-dbusmock
BuildRequires:  python3-libpamtest
BuildRequires:  python3-pydbus
BuildRequires:  typelib-1_0-FPrint-2_0
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libfprint-2) >= 1.94.0
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(pam_wrapper)
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(systemd)
ExcludeArch:    s390 s390x
%{?systemd_requires}

%description
The fprint project provides a central system
to support consumer fingerprint reader devices.

%package pam
Summary:        PAM module for fingerprint authentication
License:        GPL-2.0-or-later
Group:          Productivity/Security
Requires:       %{name} = %{version}
Requires(postun):coreutils
Requires(postun):pam
Requires(postun):pam-config
# on biarch platforms we need to have it before the call of pam-config
Supplements:    modalias(usb:v045Ep00BBd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v045Ep00BCd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v045Ep00BDd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v045Ep00CAd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v0483p2015d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v0483p2016d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v0483p2017d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0903d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0907d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C02d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C03d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C04d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C05d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C06d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C07d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C08d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C09d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C0Ad*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C0Bd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C0Cd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C0Dd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C0Ed*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C0Fd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C10d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C11d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C12d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C13d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C14d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C15d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C16d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C17d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C18d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C19d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C1Ad*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C1Bd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C1Cd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C1Dd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C1Ed*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C1Fd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C20d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C21d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C22d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C22d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C23d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C24d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C25d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C26d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C27d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C28d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C29d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C2Ad*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C2Bd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C2Cd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C2Dd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C2Ed*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C2Fd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C30d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C31d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C32d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C33d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C3Dd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C42d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C4Bd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C4Dd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C4Fd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C58d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C63d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C6Ed*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C7Dd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C7Ed*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C82d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C88d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v04F3p0C8Dd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v05BAp0007d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v05BAp0008d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v05BAp000Ad*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v061Ap0110d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v06CBp00BDd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v06CBp00C2d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v06CBp00DFd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v06CBp00F0d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v06CBp00F9d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v06CBp00FCd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v06CBp0100d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v06CBp0103d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v06CBp0104d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v06CBp0123d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v06CBp0126d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v06CBp0129d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v06CBp015Fd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v06CBp0168d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp1600d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp1660d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp1680d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp1681d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp1682d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp1683d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp1684d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp1685d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp1686d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp1687d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp1688d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp1689d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp168Ad*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp168Bd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp168Cd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp168Dd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp168Ed*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp168Fd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2500d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2550d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2580d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2660d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2680d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2681d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2682d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2683d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2684d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2685d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2686d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2687d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2688d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2689d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp268Ad*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp268Bd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp268Cd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp268Dd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp268Ed*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp268Fd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2691d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp2810d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp5501d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v08FFp5731d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v10A5pA305d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v10A5pD205d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v10A5pD805d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v10A5pDA04d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v10A5pFFE0d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v138Ap0001d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v138Ap0005d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v138Ap0008d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v138Ap0010d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v138Ap0011d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v138Ap0015d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v138Ap0017d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v138Ap0018d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v138Ap0050d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v138Ap0091d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v147Ep1000d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v147Ep1001d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v147Ep2016d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v147Ep2020d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v147Ep3001d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v1C7Ap0570d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v1C7Ap0571d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v1C7Ap0603d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p5840d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p6014d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p6094d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p609Cd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p60A2d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p631Cd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p634Cd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p6384d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p639Cd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p63ACd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p63BCd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p63CCd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p6496d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p6584d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p658Cd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p6592d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p6594d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p659Ad*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p659Cd*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v27C6p6A94d*dc*dsc*dp*ic*isc*ip*)
Supplements:    modalias(usb:v298Dp1010d*dc*dsc*dp*ic*isc*ip*)
Obsoletes:      pam_fprint < 0.2-7
Provides:       pam_fprint = %{version}-%{release}
Obsoletes:      pam_thinkfinger < 0.3
Provides:       pam_thinkfinger = 0.3
Obsoletes:      pam_fp < 0.1
Provides:       pam_fp = 0.1

%description pam
PAM module that uses the fprintd D-Bus service for fingerprint
authentication.

%package devel
Summary:        Development files for %{name}
License:        GFDL-1.1-or-later
Group:          Development/Languages/C and C++
Requires:       %{name} = %{version}
Requires:       gtk-doc
BuildArch:      noarch

%description devel
Development documentation for fprintd, the D-Bus service for
fingerprint readers access.

%package doc
Summary:        Development documents of fprintd
License:        GPL-2.0-or-later
Group:          Productivity/Security
Requires:       %{name} = %{version}
BuildArch:      noarch

%description doc
This package contains Development documents for fprintd

%lang_package

%prep
%autosetup -p1 -n %{name}-v%{version}

%build
%if 0%{?sle_version} == 150300 && 0%{?is_opensuse}
%meson -Dgtk_doc=true -Dpam=true -Dpam_modules_dir=/%{_lib}/security
%else
%meson -Dgtk_doc=true -Dpam=true -Dpam_modules_dir=%{_pam_moduledir}
%endif
%meson_build

%install
%meson_install

install -d %{buildroot}%{_sbindir}
ln -s %{_sbindir}/service %{buildroot}%{_sbindir}/rc%{name}
find %{buildroot} -type f -name "*.la" -delete -print
mkdir -p %{buildroot}/%{_localstatedir}/lib/fprint
%find_lang %{name} %{?no_lang_C}

%pre
%service_add_pre fprintd.service

%post
%service_add_post fprintd.service

%preun
%service_del_preun fprintd.service

%postun
%service_del_postun fprintd.service

%postun pam
if [ "$1" = "0" ]; then
        %{_sbindir}/pam-config -d --fprintd ||:
fi

%files
%license COPYING
%doc README AUTHORS TODO
%{_sbindir}/rc%{name}
%{_bindir}/fprintd-*
%{_libexecdir}/fprintd
%config %{_sysconfdir}/fprintd.conf
%{_datadir}/dbus-1/system.d/net.reactivated.Fprint.conf
%{_datadir}/dbus-1/system-services/net.reactivated.Fprint.service
%{_datadir}/polkit-1/actions/net.reactivated.fprint.device.policy
%{_localstatedir}/lib/fprint
%{_mandir}/man1/fprintd.1%{?ext_man}
%{_unitdir}/fprintd.service

%files lang -f %{name}.lang

%files pam
%doc pam/README
%if 0%{?sle_version} == 150300 && 0%{?is_opensuse}
/%{_lib}/security/pam_fprintd.so
%else
%{_pam_moduledir}/pam_fprintd.so
%endif
%{_mandir}/man8/pam_fprintd.8%{?ext_man}

%files doc
%{_datadir}/gtk-doc/html/%{name}

%files devel
%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.Device.xml
%{_datadir}/dbus-1/interfaces/net.reactivated.Fprint.Manager.xml

%changelog
* Fri Jul  7 2023 Wolfgang Rosenauer <wr@rosenauer.org>
- add all supported USB devices as Supplements
* Tue May 24 2022 Dominique Leuenberger <dimstar@opensuse.org>
- Do not recommend lang package: the lang package has smarter
  supplements in place.
* Sat May  7 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 1.94.2
  * EnrollStart will throw an error if the finger was enrolled already
  * Interactive DBus authentication will only happen when requested
  * Add PAM module options to ignore timeout/retry limits
  * A lot of translation updates after the POT file was fixed
  * Improve meson build file and fix building with meson 0.61.0
    So patches can be dropped
    f4256533d1ffdc203c3f8c6ee42e8dcde470a93f.patch
    2c34cef5ef2004d8479475db5523c572eb409a6b.patch
* Tue Feb 22 2022 Bjørn Lie <bjorn.lie@gmail.com>
- Add upstream bug fix patches, fix build with meson 0.60.x and
  newer:
  + f4256533d1ffdc203c3f8c6ee42e8dcde470a93f.patch
  + 2c34cef5ef2004d8479475db5523c572eb409a6b.patch
* Wed Feb  9 2022 Carsten Ziepke <kieltux@gmail.com>
- Fix for openSUSE Leap 15.3, makro %%{_pam_moduledir} is unknown in
  openSUSE Leap 15.3
* Tue Nov 16 2021 Matthias Mailänder <mailaender@opensuse.org>
- Update to version 1.94.1
  * Highlights:
    + Fix systemd unit so that udev hotplug events are processed
    + Report back the selected finger if there is only one
    + Change PolicyKit strings for clarity
    + Various fixes to the testsuite
    + Plenty of translation updates
- Changes from 1.94.0
  * Highlights:
    + Implement suspend/resume handling.
    + This requires writing "power/persist" and "power/wakeup" in sysfs.
    + Support libfprint overheat protections
    + Delete host prints when device prints disappeared
    + pam: Immediately return success information
    + Plenty of updated translations thanks to move to Fedora Weblate
    + Fix possible race when retrieving session information
    + Fix possible race when a client disconnects
    + GLib 2.56 compatibility fixes
- Changes from 1.92.0
  * Highlights:
    + fprintd now prevents the same finger to be enrolled twice
    + Support clearing storage of match-on-chip devices
    + pam: Cancel authentication on SIGINT (e.g. ctrl+c with sudo)
    + pam: Always return PAM_AUTHINFO_UNAVAIL for devices without prints
    + Expose finger status on DBus
    + Add method to delete only a specific print of a user
    + Improved error reporting for deletion
    + Wait for finger removal before cancelling operations
    + Prefer older prints when garbage collecting
    + Major improvements to test coverage
- Remove README.SUSE because rh#1693356 and upstream classified it as not a problem
* Sat Mar 20 2021 Andreas Stieger <andreas.stieger@gmx.de>
- fix pyton dbus-python build dependency for Leap 15.3 boo#1183818
* Fri Jan 15 2021 Martin Hauke <mardnh@gmx.de>
- Update to version 1.90.9
  * Fix multiple daemon lockup issues (#97)
  * Fix print garbage collection to not delete used prints
  * pam: Use the device with the most prints
* Sat Dec 12 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.90.8
  It seems that we are finally reaching the end of the tunnel with
  regard to regressions. One more issue that cropped up was that a
  pam_fprintd fix to avoid a possible authentication bypass caused
  issues when fprintd was just started on demand.
  Highlights:
  * pam: Only listen to NameOwnerChanged after fprintd is known to
    run.
  * Place new ObjectManager DBus API at /net/reactivated/Fprint
* Wed Dec  9 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.90.7
  While 1.90.6 fixed a number of issues, we did have a bad
  regression due causing pam_fprintd to crash when there are no
  fingerprint devices installed.
  Highlights:
  * pam: Guard strdup calls against NULL pointers
* Mon Dec  7 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.90.6
  The 1.90.5 release was unusable due to a number of inter-related
  issues with the DBus interface and authorization. We also found
  a number of problems with possible security implications.
  Currently fprintd will do interactive authorization even if this
  was not requested using the correct DBus method call flag. All
  API users MUST be updated to set the flag as it will be enabled
  in the future!
  Highlights:
  * Fix fprintd DBus configuration
  * Change details of what requires authorization
  * Fix various race conditions in pam_fprintd
  * Permit interactive authorization from fprintd utilities
  * Do not allow deletion while another operation is ongoing
- Drop patch:
  * 0001-tests-Fix-test-not-failing-on-error.patch
* Tue Dec  1 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.90.4
  The 1.90.4 release caused a major regression, as it included a
  USB hub in UDEV the autosupend rule list.
  Highlights:
  * Remove USB hub from udev autosupend rules
  * synaptics: Add PID 0x00c9 which is used in some HP laptops
* Sun Nov 29 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 1.90.4
  * Authentication is now required to enroll a new print.
  * Add support for the libfprint early reporting mechanism
  * Proper hotplug support together with libfprint 1.90.4
  * Handle STATE_DIRECTORY containing multiple paths
- Add patch:
  * 0001-tests-Fix-test-not-failing-on-error.patch
    https://gitlab.freedesktop.org/libfprint/fprintd/-/merge_requests/70
    Unittest test_manager_get_devices_on_name_appeared is broken
    with this patch applied - so revert it for now.
* Thu Mar 19 2020 Tomáš Chvátal <tchvatal@suse.com>
- Few minor spec-cleaner tweaks
* Sun Mar 15 2020 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.90.1
  * Add support for prints saved on the fingerprint device itself
  * Add integration tests using the virtual image driver, and further tests for the utilities
  * Port build system to meson
  * Loads of build warnings and memory leak fixes
  * PAM module:
    Port PAM module to sd-bus from dbus-glib
    Use systemd to not ask for a fingerprint scan on remote logins
    Add man page for PAM module
    Add tests
- Split doc package
* Mon Dec  2 2019 Tomáš Chvátal <tchvatal@suse.com>
- Fix the download url
* Fri Nov 29 2019 Johannes Kastl <kastl@b1-systems.de>
- update to 0.9.0:
  * Fix hangs when there the verification error was "retry"
  * Update for fp_get_pollfds() changes
  * Fix "client_username" memory leak, fix memory leak when saving a file
  * Create the fingerprint storage directory at install time, the storage path is now hard-coded as /var/lib/fprint and created by systemd when the service is started
* Tue May  7 2019 jsegitz@suse.com
- Add README.SUSE to warn users of the potential risk in storing
  fingerprint data on their systems
* Sat Dec 15 2018 bjorn.lie@gmail.com
- Update to version 0.8.1:
  + Fix build when builddir != srcdir.
  + Fix possible crash on exit.
  + Avoid warnings in copy/paste header.
  + Sandbox fprintd daemon more.
  + Update website address.
  + Minimise debug output.
  + Updated translations.
- Run spec-cleaner, modernize spec.
- Drop _service file, upstream have moved to gitlab and are using
  a unique Url for tarball source so service no longer makes sense.
* Thu Apr  5 2018 mardnh@gmx.de
- Update to version 0.8.0
  * Lockdown the daemon to minimise potential security issues
  * Don't wake up readers when there's no enrolled fingerprints
* Fri Feb  3 2017 p.drouand@gmail.com
- Update to version 0.7.0
  * Fix crash in the daemon when cancelling PAM conversation
  * Fix build warnings and update translations
* Sun Feb  8 2015 zaitor@opensuse.org
- Update to version 0.6.0:
  + Fix warning in fprintd.pod file.
  + Reduce logging during normal operation.
  + Fix eventfd leak in PAM module.
  + List possible values for finger when enrolling.
  + Fix possible crash in fprintd-verify.
  + Fix listing and deleting fingerprints when there's more than
    one reader available.
- Drop fprintd.pod-syntax.patch: fixed upstream.
* Sun Nov  9 2014 Led <ledest@gmail.com>
- fix bashism in postun script
* Thu Sep 11 2014 ro@suse.de
- added baselibs.conf as source to specfile
* Thu Sep 11 2014 ro@suse.de
- drop rpmlintrc
* Tue Feb  4 2014 ro@suse.de
- added baselibs.conf
* Tue Feb  4 2014 ro@suse.de
- activate obsoletes for pam_fprint as yast2-fingerprint-reader
  (which this was waiting for) has been dropped half a year ago
* Sat Nov 16 2013 abonilla@suse.com
- Change systemd BuildRequires to pkgconfig(systemd) so that
  configure actually finds the dependency. This fixes an issue on
  systemd-based systems where the fprintd dbus service is not
  starting because it's referencing the non-existing fprintd
  systemd service. Fix bnc#850807.
- Add %%pre/%%post/%%preun/%%postun sections to register systemd
  service.
- Add %%{?systemd_requires} to the dependencies.
* Sat Sep 21 2013 mailaender@opensuse.org
- Update to version 0.5.1
  + Add support for 147e:2020 to upeke2 driver
  + Fix possible race condition, and cancellation in uru4000 driver
  + Add Microsoft keyboard to the suspend blacklist
  + Plenty of build fixes
- Changes from version 0.5.0:
  + New VFS300/VFS301 driver
  + New AES2550/AES2810 drivers
  + New AES1660 driver
  + New AES2660 driver
  + New DigitalPersona URU4500 driver
  + Avoid empty capture and improve image contrast in the AES2501 and AES2550 drivers
  + Update upektc driver, add support for Eikon Touch 300
  + Fix UrU4000 image capture on ARM
  + Fix power control path for newer kernels
  + Move udev rules to the correct directory
  + Don't print duplicated udev rules
  + Include udev rules in the tarball
  + Allow disabling of udev rules for cross-compiling
  + Add driver names in the generated rules
- Adhere to http://spdx.org/licenses/ guidelines
- Fixed self-obsoletion RPMlint warnings
- Added openSUSE license reminder to spec file
- Added fprintd.pod-syntax.patch to fix a syntax error during build.
* Fri Nov 30 2012 dimstar@opensuse.org
- Update to version 0.4.1:
  + Enable gtk-doc by default so that file aren't missing in the
    tarball
- Changes from version 0.4.0:
  + Loads of new translations
  + Fix crasher when PAM module gets unloaded
  + Use GIO to monitor D-Bus clients instead of custom code
- Add lang_package
- Obsolete pam_fprint <= 0.2 (not provided, it's not a pure
  drop-in replacement).
- Rework the BuildRequires to reflect as closely as possible what
  configure looks for.
* Wed Sep 22 2010 fcrozat@novell.com
- initial package for openSUSE, based on Fedora package
* Thu Aug 19 2010 Bastien Nocera <bnocera@redhat.com>
- Update to 0.2.0
* Wed Dec  9 2009 Bastien Nocera <bnocera@redhat.com>
- Remove use of g_error(), or people think that it crashes when we actually
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
* Tue Jul 21 2009 Bastien Nocera <bnocera@redhat.com>
- Make the -devel package noarch (#507698)
* Tue Jul 21 2009 Bastien Nocera <bnocera@redhat.com>
- Merge polkit patch and fix for polkit patch
* Thu Jul  9 2009 Matthias Clasen <mclasen@redhat.com> 0.1-12.git04fd09cfa
- Fix the pam module (#510152)
* Sat Jun 20 2009 Bastien Nocera <bnocera@redhat.com>
- Remove obsolete patch
* Tue Jun  9 2009 Matthias Clasen <mclasen@redhat.com>
- Port to PolicyKit 1
* Thu May  7 2009 Bastien Nocera <bnocera@redhat.com>
- Add /var/lib/fprint to the RPM to avoid SELinux errors (#499513)
* Tue Apr 21 2009 Karsten Hopp <karsten@redhat.com>
- Excludearch s390 s390x, as we don't have libusb1 on mainframe, we can't build
* Tue Feb 24 2009 edora Release Engineering <rel-eng@lists.fedoraproject.org
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
* Tue Jan 27 2009 Bastien Nocera <bnocera@redhat.com
- Add a patch to handle device disconnects
* Mon Jan 26 2009 Bastien Nocera <bnocera@redhat.com>
- Update to latest git, fixes some run-time warnings
* Wed Dec 17 2008 Bastien Nocera <bnocera@redhat.com>
- Add patch to stop leaking a D-Bus connection on failure
* Tue Dec  9 2008 Bastien Nocera <bnocera@redhat.com>
- Update D-Bus config file for recent D-Bus changes
* Thu Dec  4 2008 Bastien Nocera <bnocera@redhat.com>
- Update following comments in the review
* Sun Nov 23 2008 Bastien Nocera <bnocera@redhat.com>
- Update to current git master, and add documentation
* Tue Nov  4 2008 Bastien Nocera <bnocera@redhat.com>
- First package
